Bug 1310886 - Review Request: notary - A server and client for running and interacting with trusted collections
Review Request: notary - A server and client for running and interacting with...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On: 1313942 1314213
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 17:11 EST by Miloslav Trmač
Modified: 2017-05-09 08:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-09 08:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review?


Attachments (Terms of Use)
Update reflection use for go 1.6 (505 bytes, patch)
2016-03-15 10:22 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2016-02-22 17:11:16 EST
Spec URL: http://people.redhat.com/mitr/notary/notary.spec
SRPM URL: http://people.redhat.com/mitr/notary/notary-0.1-1.20160219git8a5c8c0.fc24.src.rpm
Description: A server and client for running and interacting with trusted collections
Fedora Account System Username: mitr
Comment 1 Jan Chaloupka 2016-02-23 03:43:45 EST
Hi Miloslav,

can you create PR on gofed/reviews [1]? There I can comment individual lines of the spec file and others can see golang spec file reviews. Spec file and srpm are sufficient.

[1] https://github.com/gofed/reviews

Thanks
Jan
Comment 2 Miloslav Trmač 2016-02-23 15:05:52 EST
https://github.com/gofed/reviews/pull/4
Comment 3 Upstream Release Monitoring 2016-02-24 12:37:56 EST
mitr's scratch build of notary-0.1-2.20160219git8a5c8c0.fc24.src.rpm for f23-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13115407
Comment 4 Haïkel Guémar 2016-02-27 15:22:50 EST
Please stop this madness and follow the Fedora Reviews Process.
Comment 5 Lokesh Mandvekar 2016-02-27 20:26:03 EST
(In reply to Haïkel Guémar from comment #4)
> Please stop this madness and follow the Fedora Reviews Process.

Could you please explain why you think this is madness? I don't see anything in the Fedora Review Process that would qualify this as such.
Comment 6 Jan Chaloupka 2016-02-28 14:27:58 EST
Haïkel,

once the review is done on the github, it will continue here. The github is here for golang specific issues. If you see any violation of the review process, can you be more specific?

Thanks
Comment 7 Jan Chaloupka 2016-03-07 04:40:34 EST
With this [1] I am able to build notary locally. There are 6 packages missing in Fedora [2]. Plus docker distribution has to be update to provide devel subpackage (already fix locally, waiting for 3 packages from [2]). Once all new spec [2] are reviewed and built in Fedora, notary can be built from debundled deps.

[1] https://github.com/gofed/reviews/commit/a4050519e547eadd3d54dac9b571f7ef420c45a2
[2] https://bugzilla.redhat.com/buglist.cgi?quicksearch=1314977%201314978%201314979%201315099%201313942%2C%201314213&list_id=4739512
Comment 8 Jan Chaloupka 2016-03-07 04:41:38 EST
All outdated deps are updated as well
Comment 9 Jan Chaloupka 2016-03-14 17:45:09 EDT
All missing deps are built as well for f23, f24 and rawhide.

I am able to build notary from debundled dependencies. Still, not all tests pass [1]. Most likely some of them need special environment or additional dependencies. Locally, all tests pass (f20).

What version of Fedora are you running on? Can you check f23 (this is independent of the way of bulding: bundled vs. debundled)?

[1] https://kojipkgs.fedoraproject.org//work/tasks/7332/13347332/build.log
Comment 10 Miloslav Trmač 2016-03-15 06:48:12 EDT
This works fine on F22 and F23, breaks only on F24:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13352935
http://koji.fedoraproject.org/koji/taskinfo?taskID=13352940
http://koji.fedoraproject.org/koji/taskinfo?taskID=13352933

The tests are ignoring some errors, investigating…
Comment 11 Miloslav Trmač 2016-03-15 10:22 EDT
Created attachment 1136612 [details]
Update reflection use for go 1.6

Tracked this down to https://golang.org/doc/go1.6#reflect , and the attached patch.

Instead of patching this locally we should just update notary to a later checkout, which includes the fix.
Comment 12 Jan Chaloupka 2016-03-16 05:21:25 EDT
The fix is for [1]. I have update the dependency to the latest commit.

I am able to build notary in rawhide as well now. Thanks for the investigation.

The review can be now finished. [2] commit is still valid. Let's rebase to notary-v0.2 after this is done. The rebase may require update of some dependencies and new packages again. Let's open another bugzilla for that and further analysis or requirements.

[1] https://github.com/docker/go/commit/c82d2d98a6942e0004eb0e8bf34b94077c3cc9e3#diff-382fdb4896cb4e5aa5d123d7d8e40afbR1060
[2] https://github.com/gofed/reviews/commit/a4050519e547eadd3d54dac9b571f7ef420c45a2
Comment 13 Jan Chaloupka 2016-03-29 07:27:12 EDT
Any update here?
Comment 14 Miloslav Trmač 2016-05-03 10:55:09 EDT
(In reply to Jan Chaloupka from comment #13)
> Any update here?

https://github.com/gofed/reviews/pull/4#issuecomment-216554487
Comment 15 Miloslav Trmač 2017-05-09 08:37:16 EDT
Jan, FWIW I don’t plan to work on this package any more. If it is not important to you either, I guess we can close this.
Comment 16 Jan Chaloupka 2017-05-09 08:56:10 EDT
Thanks for letting me know.

Note You need to log in before you can comment on or make changes to this bug.